using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATExportFlagTxt")]
[Index("Name", Name = "UQ_ATExportFlagTxt_Name", IsUnique = true)]
public partial class AtexportFlagTxt
{
    [Key]
    public int Id { get; set; }

    [StringLength(100)]
    public string Name { get; set; } = null!;

    [StringLength(255)]
    public string? Description { get; set; }

    [InverseProperty("DoneFlag")]
    public virtual ICollection<AtexportDefinition> AtexportDefinitions { get; set; } = new List<AtexportDefinition>();
}
